Aurion Docs
Api

Get Degradation Status

Get system degradation status for dashboard. Story 4.7 AC8: Degraded mode indicators in admin dashboard. Proxies to the livekit-agent /degradation endpoint for real-time status. Provides fallback status if agent is unreachable. Returns: DegradationStatusResponse with degradation level and component status

GET
/api/v1/monitoring/degradation

Get system degradation status for dashboard.

Story 4.7 AC8: Degraded mode indicators in admin dashboard.

Proxies to the livekit-agent /degradation endpoint for real-time status. Provides fallback status if agent is unreachable.

Returns: DegradationStatusResponse with degradation level and component status

AuthorizationBearer <token>

In: header

Response Body

application/json

curl -X GET "https://loading/api/v1/monitoring/degradation"
{
  "components": {
    "property1": "healthy",
    "property2": "healthy"
  },
  "degraded_mode": true,
  "last_check": "string",
  "level": "normal",
  "message": "string",
  "pending_operations": 0,
  "timestamp": "string",
  "transfer_to_human_recommended": false,
  "unavailable_features": []
}